跳转到主要内容
GET
/
v2
/
trade
/
{chain}
/
activities
Activity - List
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/activities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
      "blockHeight": 332417228,
      "blockTimestamp": 1717334400000,
      "chain": "sol",
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "sideTokenAddress": "So11111111111111111111111111111111111111112",
      "sideTokenAmount": "1",
      "sideTokenAmountInNative": "150",
      "sideTokenAmountInUsd": "150",
      "sideTokenName": "Wrapped SOL",
      "sideTokenPriceInNative": "1",
      "sideTokenPriceInUsd": "150",
      "sideTokenSymbol": "SOL",
      "status": "SUCCEEDED",
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tokenAmount": "1000000",
      "tokenAmountInNative": "100",
      "tokenAmountInUsd": "8800000",
      "tokenName": "TRUMP",
      "tokenPriceInNative": "0.0001",
      "tokenPriceInUsd": "8.80",
      "tokenSymbol": "TRUMP",
      "transactionSignature": "37XpPt9Ak6JiE1V3sftJDtdUsvR9FVFRqkZmoT3dp4BTD9pgyTWn1XgHH6R7NjuJ4pBMAgj8JvZtxQrf4s6NTC5F",
      "type": "BUY",
      "accountAddress": "<string>",
      "addrType": 123,
      "dexImage": "https://example.com/dex.png",
      "dexProgramAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "dexProtocolFamily": "OrcaWhirpool",
      "gasFee": 5000,
      "gasFeeInNative": "0.000073",
      "gasFeeInUsd": "0.011",
      "historyBoughtAmount": "<string>",
      "historySoldAmount": "<string>",
      "historySoldIncome": "<string>",
      "isOpenOrClose": 123,
      "makerEventTags": [
        "<string>"
      ],
      "makerExchange": "<string>",
      "makerName": "<string>",
      "marketCapInUsd": "1500000.00",
      "postBalance": "<string>",
      "realizedProfitInUsd": "<string>",
      "sideTokenImageUrl": "https://arweave.net/sol.png",
      "tokenImageUrl": "https://arweave.net/token.png",
      "totalTrade": 123,
      "traderTags": [
        "<string>"
      ],
      "unrealizedProfitInUsd": "<string>"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc

查询参数

cursor
string

Pagination cursor

limit
integer<int64>
默认值:20

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev
tokenAddress
string

An address of a token

walletAddress
string

An address of a wallet

poolAddress
string

A pool address

beforeTimestamp
integer<int64>

Start timestamp for filtering trades (Unix epoch in seconds)

afterTimestamp
integer<int64>

End timestamp for filtering trades (Unix epoch in seconds)

beforeBlockHeight
integer<int64>

Filter trades before this block height

afterBlockHeight
integer<int64>

Filter trades after this block height

transactionsSignature
string

Transaction signature/hash

type
enum<string>

Activity type filter Activity type (extends TradeType)

可用选项:
BUY,
SELL,
LIQUIDITY_INITIALIZE,
LIQUIDITY_ADD,
LIQUIDITY_REMOVE,
RED_PACKET_CREATE,
RED_PACKET_CLAIM,
RED_PACKET_COMPLETE,
RED_PACKET_REFUND
sortBy
enum<string>
默认值:timestamp

DTO.TRADE.SORT_BY Sort by: timestamp (default) | totalUsd Sort field for activities query

可用选项:
timestamp,
totalUsd
traderTags
string

Filter by trader tag(s). Comma-separated list from: kol, smart, sniper, bundle, dev, bluechip, insider, fresh. Returns activities where the trader has ANY of the specified tags.

minAmountUsd
string

Minimum trade value in USD (inclusive). Filters out small trades.

maker
string

Filter by specific maker (trader) wallet address. Equivalent to filtering by accountOwnerAddress.

响应

200 - application/json

Successful response

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="